#!/bin/sh
# -------------------------------------------------------------
# L-Soft Resources Translation Tool Start Script
# -------------------------------------------------------------
#
# The following environment variable definition is needed if
# no Java 7 (or later) is present in your path.
# If Java is installed on your system, but at a location not
# included in the path, adjust the environment variable
# accordingly, then restart this batch file.
# Note: Must be Java 7 or later.

# RTT_JAVA_HOME=TODO

# --------------------------------------------------------------
# DO NOT CHANGE ANYTHING BELOW THIS LINE
# --------------------------------------------------------------

if [ -x "$RTT_JAVA_HOME/bin/java" ] ; then
	JAVA_EXE="$RTT_JAVA_HOME/bin/java"
else
	JAVA_EXE="java"
fi

if [ -s $JAVA_EXE ]; then
	versionTest=`$JAVA_EXE -version 2>&1 | grep -c "1\.[0123456]\."`
	if test $versionTest -eq 0 ; then
		cd "`dirname "$0"`/.."
		CURRENT_DIR=`pwd`

		_CP="-cp $CURRENT_DIR/lib/translationTool.jar:$CURRENT_DIR/lib/forms_rt.jar"

		$JAVA_EXE $_CP com.lsoft.utl.trans.TranslationTool
	else
		echo "The Java that is currently installed on your system is not"
		echo "suitable to run the L-Soft Resource Translation tool."
		echo ""
		echo "To run the L-Soft Resource Translation tool, an installation"
		echo "of Java 7 (or later) is required. If such an installation is"
		echo "available on your system, add its 'bin' folder to your PATH,"
		echo "or modify this batch file to use the correct location instead."
		echo "Or if it is not already installed, install a JRE 7 or later."
		echo ""
		read -p "Press [ENTER] to exit" dummy
	fi
else
	echo "No Java installation was found on your system."
	echo ""
	echo "To run the L-Soft Resource Translation tool, an installation"
	echo "of Java 7 (or later) is required. If such an installation is"
	echo "available on your system, add its 'bin' folder to your PATH,"
	echo "or modify this batch file to use the correct location instead."
	echo "Or if it is not already installed, install a JRE 7 or later."
	echo ""
	read -p "Press [ENTER] to exit" dummy
	
fi
