@echo off
rem -------------------------------------------------------------
rem L-Soft Resources Translation Tool Start Batch File
rem -------------------------------------------------------------
rem
rem The following environment variable definition is needed if
rem no Java 7 (or later) is present in your path.
rem If Java is installed on your system, but at a location not
rem included in the path, adjust the environment variable
rem accordingly, then restart this batch file.
rem Note: Must be Java 7 or later.

rem set RTT_JAVA_HOME=TODO

rem --------------------------------------------------------------
rem DO NOT CHANGE ANYTHING BELOW THIS LINE
rem --------------------------------------------------------------


if "%RTT_JAVA_HOME%" == "" goto java_not_defined

	set JAVA_EXE="%RTT_JAVA_HOME%\bin\java"
	set JAVAW_EXE="%RTT_JAVA_HOME%\bin\javaw"
	goto test_java_exe

:java_not_defined

	set JAVA_EXE=java
	set JAVAW_EXE=javaw

:test_java_exe

%JAVA_EXE% -version > javaversion.txt 2>&1
if errorlevel 1 goto nojava

findstr /R "1\.[0123456]\." javaversion.txt > ignore.txt 2>&1
if errorlevel 1 goto start_tool

	echo The Java that is currently installed on your system is not
	echo suitable to run the L-Soft Resource Translation tool.
	echo To run the L-Soft Resource Translation tool, an installation
	echo of Java 7 or later is required. If such an installation is
	echo available on your system, add its "bin" folder to your PATH,
	echo or modify this batch file to use the correct location instead.
	echo Or if it is not already installed, install a JRE 7 or later.
	pause
	goto end

:nojava

	echo No Java installation was found on your system.
	echo To run the L-Soft Resource Translation tool, an installation
	echo of Java 7 or later is required. If such an installation is
	echo available on your system, add its "bin" folder to your PATH,
	echo or modify this batch file to use the correct location instead.
	echo Or if it is not already installed, install a JRE 7 or later.
	pause
	goto end

:start_tool

REM -----------------------------
REM set CLASSPATH

set OLD_DIR=%cd%

cd ..

set CURRENT_DIR=%cd%

set _CP=-cp "%CURRENT_DIR%\lib\translationTool.jar;%CURRENT_DIR%\lib\forms_rt.jar"

start "Translation Tool" %JAVAW_EXE% %_CP% com.lsoft.utl.trans.TranslationTool

:end

cd %OLD_DIR%

if exist javaversion.txt del javaversion.txt
if exist ignore.txt del ignore.txt